curl --request POST \
--url https://api.uat.frankie.one/v2/matchlists/{matchlistName}/entries \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"entries": [
{
"attributes": [
{
"value": "<string>"
}
],
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference": "CERT-BAD-ACTOR-1234-5678",
"reasons": [
"<string>"
]
}
],
"batchName": "blocklist.csv",
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
'import requests
url = "https://api.uat.frankie.one/v2/matchlists/{matchlistName}/entries"
payload = {
"entries": [
{
"attributes": [{ "value": "<string>" }],
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference": "CERT-BAD-ACTOR-1234-5678",
"reasons": ["<string>"]
}
],
"batchName": "blocklist.csv",
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
api_key: '<api-key>',
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entries: [
{
attributes: [{value: '<string>'}],
entityId: '3fa85f64-5717-4562-b3fc-2c963f66afa6',
reference: 'CERT-BAD-ACTOR-1234-5678',
reasons: ['<string>']
}
],
batchName: 'blocklist.csv',
comment: {
text: 'Update after speaking to customer over the phone directly.',
entityId: '3fa85f64-5717-4562-b3fc-2c963f66afa6'
}
})
};
fetch('https://api.uat.frankie.one/v2/matchlists/{matchlistName}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"matchlist": {
"matchlistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"action": "BLOCK",
"state": "ACTIVE"
},
"entries": [
{
"attributes": [
{
"type": "ENTITY_TYPE",
"value": "<string>"
}
],
"entryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"reference": "CERT-BAD-ACTOR-1234-5678",
"reasons": [
"<string>"
],
"state": "ACTIVE",
"batchName": "blocklist.csv",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Create one or more entries in a matchlist
Create a new entry in an existing matchlist. Entries must have at least one attribute and those attributes must be of valid types. Attribute values must have at least one non-whitespace character in their values. Optionally a batch name can be provided in the request, which will be applied to all given entries. The batch name should reflect the source of the entry list, for example blocklist.csv. The entries can later be retrieved by batch name. Optionally a reference can be provided for each entry in the request. The reference should be a unique name (but uniqueness is not required) from for example an externally sourced blocklist. The entries can later be retrieved by reference. Optionally each entry can refer to an entity ID and type (both ID and type, or neither), to indicate that the entry is based on en existing entity.
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
"fred.flintstone@frankieone.com"
Path Parameters
The name of the matchlist.
Body
Request to create one or more entries in a matchlist
Entries to create in the matchlist
1Show child attributes
Show child attributes
Optional name to identify a batch of matchlist entries. This name should reflect the source of the batch. When entries are later retrieved, they can be filtered by this batch name.
"blocklist.csv"
Show child attributes
Show child attributes
Response
OK
Response object for a list of matchlist entries.
The unique request identifier for the API call made.
"01HN9XHZN6MGXM9JXG50K59Q85"
The basic details for the matchlist to which the entry or entries belong.
Show child attributes
Show child attributes
Entries in the matchlist.
Show child attributes
Show child attributes
Was this page helpful?